# -*- coding: utf-8 -*-

# This file is part of the Gedit LaTeX Plugin
#
# Copyright (C) 2007 Michael Zeising
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public Licence as published by the Free Software
# Foundation; either version 2 of the Licence, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public Licence for more 
# details.
#
# You should have received a copy of the GNU General Public Licence along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA

from gtk import Image
from Installation import Installation

#TODO: this produces:
#
#/home/michael/.gnome2/gedit/plugins/LaTeXPlugin/toolbar/LaTeXToolbar.py:228: GtkWarning: Can't set a parent on widget which has a parent
#
#  item.set_image(IconProvider().get_image(icon))
#/home/michael/.gnome2/gedit/plugins/LaTeXPlugin/toolbar/LaTeXToolbar.py:188: GtkWarning: Can't set a parent on widget which has a parent
#
#  item.set_image(IconProvider().get_image(profile.icon))
#Traceback (most recent call last):
#  File "/home/michael/.gnome2/gedit/plugins/LaTeXPlugin/toolbar/LaTeXToolbar.py", line 121, in __exposed
#    btn_build = SmartMenuToolButton(_("Build"), mnu_build)
#  File "/home/michael/.gnome2/gedit/plugins/LaTeXPlugin/toolbar/LaTeXToolbar.py", line 371, in __init__
#    self.image.set_from_pixbuf(item.get_image().get_pixbuf())
#ValueError: image should be a GdkPixbuf or empty

class IconProvider(object):
	"""
	Central place for getting icons
	
	Keys are mapped like:
	"some" => ".../pixmaps/some.png"
	"""
	def __new__(type):
		if not '_instance' in type.__dict__:
			type._instance = object.__new__(type)
		return type._instance
	
	def __init__(self):
		if not '_ready' in dir(self):
			self._images = {}
			self._path = Installation().path
			self._ready = True
	
	def get_image(self, key):
		try:
			return self._images[key]
		except KeyError:
			return self._create_image(key)
	
	def _create_image(self, key):
		image = Image()
		image.set_from_file("%s/pixmaps/%s.png" % (self._path, key))
		self._images[key] = image
		return image