from gtk import Dialog, Label, DIALOG_DESTROY_WITH_PARENT, DIALOG_MODAL, STOCK_CANCEL, RESPONSE_CANCEL, \
		STOCK_OK, RESPONSE_OK, FileChooserDialog, FILE_CHOOSER_ACTION_OPEN, STOCK_OPEN, RESPONSE_ACCEPT, \
		Image, FileChooserButton

class MasterDialog(Dialog):
	"""
	"""
	def __init__(self, parent):
		Dialog.__init__(self, "Compile LaTeX", parent, DIALOG_DESTROY_WITH_PARENT|DIALOG_MODAL, \
					(STOCK_CANCEL, RESPONSE_CANCEL, STOCK_OK, RESPONSE_OK))
		self.set_border_width(5)
		self.set_has_separator(False)
		self.vbox.set_spacing(10)
		self.set_resizable(False)
		
		label = Label("<span size=\"x-large\">Master document not found</span>")
		label.set_use_markup(True)
		label.set_alignment(0, .5)
		
		label_sub = Label("This document seems to be part of a master document \nthat could be found. You may choose it here:")
		label_sub.set_alignment(0, .5)
		
		self.__dialog = FileChooserDialog(action=FILE_CHOOSER_ACTION_OPEN, 
							buttons=(STOCK_OPEN, RESPONSE_ACCEPT, STOCK_CANCEL, RESPONSE_CANCEL))
		self.__dialog.set_local_only(True)
		
		button = FileChooserButton(self.__dialog)
		
		self.vbox.add(label)
		self.vbox.add(label_sub)
		self.vbox.add(button)
		self.vbox.show_all()
	
	def get_filename(self):
		return self.__dialog.get_filename()
	
	def set_filename(self, filename):
		self.__dialog.set_filename(filename)
	
	
if __name__=="__main__":
	from gtk import main
	
	d=MasterDialog(None)
	if d.run() == RESPONSE_OK:
		print "Master filename is " + d.get_filename()
	d.hide()
	
	main()