# -*- coding: utf-8 -*-

# This file is part of the Gedit LaTeX Plugin
#
# Copyright (C) 2007 Michael Zeising
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public Licence as published by the Free Software
# Foundation; either version 2 of the Licence, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public Licence for more 
# details.
#
# You should have received a copy of the GNU General Public Licence along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA

class Snippet(object):
	"""
	A snippet is a named piece of LaTeX source that has a context and requires
	packages
	"""
	def __init__(self, name="", source="", packages=[], contexts=["text"]):
		self.name = name
		self.source = source
		self.packages = packages
		self.contexts = contexts
	
	def get_markup(self):
		if len(self.source) > 50:
			return "%s\n<small><tt>%s...</tt></small>" % (self.name, self.source[:50])
		else:	
			return "%s\n<small><tt>%s</tt></small>" % (self.name, self.source)